Package Details: ympd 1.3.0-4

Git Clone URL: https://aur.archlinux.org/ympd.git (read-only, click to copy)
Package Base: ympd
Description: A standalone MPD Web GUI
Upstream URL: http://www.ympd.org
Licenses: GPL2
Conflicts: ympd-git
Provides: ympd
Submitter: cippaciong
Maintainer: cippaciong
Last Packager: cippaciong
Votes: 11
Popularity: 0.000000
First Submitted: 2014-05-29 10:07
Last Updated: 2020-07-10 06:33

Latest Comments

1 2 Next › Last »

m040601 commented on 2020-10-18 19:48

(Re-editing my last comment)

The original repo, ympd.org and https://github.com/notandy/ympd seems abandoned:

  • He hasnt answered github issues for 2 years.
  • The last code was committed in 2018.
  • He's still active on Github recently though.
  • See also this issue by other arch linux users https://github.com/notandy/ympd/issues/189

This, https://github.com/SuperBFG7/ympd, is the fork of the guy who made the compile fix 191l, . He is also an Archlinux user. The fork seems to be more active, but the issues are disabled. Couldnt check his future plans.

He has another repo with PKGBUILDS, https://github.com/SuperBFG7/PKGBUILDs/blob/master/ympd-git/PKGBUILD, pulling the source from his own fork

m040601 commented on 2020-07-13 15:52

Want to report that the update, to 1.3.0-4 from 1.3.0-3l worked perfectly, both on x86_64 and armv7h (Raspberry Pi 2B 1.1)

Thanks cippaciong for still taking care of this package (and ympd-git). After many years of using it in the Raspberry Pi, I actually find it more pleasant than mympd. Mympd has more features than ympd (access to metadata), but I cant seem to get used to the unintuitive UI and somehow buggy setup.

cippaciong commented on 2020-07-10 06:36

I have updated the PKGBUILD to manually apply the patch included in PR 191 which should at least fix the compile issues.

m040601 commented on 2020-07-09 22:44

EDIT (09.07.2020): thanks to @L0ric0 there is now a mympd package build in AUR: https://aur.archlinux.org/packages/mympd/

it should support the Raspberry Pi:

arch=('i686' 'x86_64' 'armv6h' 'armv7h')

(although it needs 225MB of java as a make dependency)

m040601 commented on 2020-07-09 22:44

Kresimir commented on 2019-04-03 12:46

Your proposal to prepare an AUR package of myMPD sounds interesting.

Sorry if this seems lazy from my part, and if I am hijacking this comments section. Unfortunately I still lack many skills to make sure I can write a clean and well mantained PKGBUILD. I myself am not planning to do it. So I am simply asking if someone here could create a package for mympd.

My original intention was making it known here, since "mympd" is basicly just a well mantained and updated forke of "ympd". It shouldnt take much effort to create it, and since cippaciong is already providing this one, one would avoid reinventing the wheel.

ympd was last updated more than 2 years ago. In the meantime, I keep seeing mympd, https://github.com/jcorporation/myMPD/releases, releasing almost monthly and adding features.

He even provides prebuild binaries for ArchLinux using OpenSuse build service https://github.com/jcorporation/myMPD/wiki/Prebuild-Packages https://download.opensuse.org/repositories/home:/jcorporation/Arch/x86_64/

So at least creating a package "myMPD-bin" should be straightforward.

Is there still nobody here with interest in creating one for it ?

PS: I also requested if they could provide prebuild binaries for ArchLinux ARM (raspberry pi) https://github.com/jcorporation/myMPD/issues/296

m040601 commented on 2020-07-07 02:06

Kresimir commented on 2019-04-03 12:46

This package (ympd and ympd-git) won't build on RaspberryPi (armv6h):

I have it running for years on my Raspberry Pi 2B v1.1, armv7h Did you check your PKGBUILD and Raspberry version ? The pi zero is the one with armv6h

fvdb06 commented on 2020-05-26 18:47

I try to install ympd with $ yay ympd I get the error: [100%] Linking C executable ympd /usr/bin/ld: CMakeFiles/ympd.dir/src/mpd_client.c.o:(.bss+0x0): multiple definition of `mpd'; CMakeFiles/ympd.dir/src/ympd.c.o:(.bss+0x0): first defined here collect2: error: ld returned 1 exit status make[2]: [CMakeFiles/ympd.dir/build.make:205: ympd] Error 1 make[1]: [CMakeFiles/Makefile2:98: CMakeFiles/ympd.dir/all] Error 2 make: *** [Makefile:150: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

What to do now??

cippaciong commented on 2019-04-03 13:58

@Kresimir: ympd works fine on RaspberryPi, as the error says you are missing the strip binary. It's provided by the package binutils which is part of the group base-devel, a pre requisite to build AUR packages. https://wiki.archlinux.org/index.php/Arch_User_Repository#Prerequisites

Kresimir commented on 2019-04-03 12:46

In response to m040601's comment on 2019-03-10 01:28 ...
Your proposal to prepare an AUR package of myMPD sounds interesting.

This package (ympd and ympd-git) won't build on RaspberryPi (armv6h):
[ympd-git]$ makepkg -si
==> ERROR: Cannot find the strip binary required for object file stripping>p>

m040601 commented on 2019-03-10 01:28

The last update from the developer was almost a year ago, on March 2018, https://github.com/notandy/ympd

In the mean time, there is now a very well maintaned and active fork called myMPD, https://github.com/jcorporation/myMPD

It adds interesting new features and is still written in C, utilizing Websockets and Bootstrap/JS.

The guys at DietPi and Archphile (Archlinux ARM for the raspberry pi) already changed to it in July 2018, https://archphile.org/blog/mympd-packages-for-archphile-09973-alpha-repost/

An AUR package for this shouldn't be much different than this one. Any interest ?